Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.core
Class Condition

    java.lang.Object
      edu.udo.cs.miningmart.m4.core.M4Object
          edu.udo.cs.miningmart.m4.core.M4Data
              edu.udo.cs.miningmart.m4.core.Condition

All Implemented Interfaces:
  Condition, M4Data, M4Object, M4Table, XmlInfo, java.io.Serializable, java.lang.Comparable

    public class Condition

extends M4Data
implements XmlInfo, Condition

Objects of this class represent M4 conditions. These conditions are tuples stored in the table `OP_COND_T`.

Version:
  $Id: Condition.java,v 1.10 2006/09/27 14:59:59 euler Exp $
Author:
  Martin Scholz
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ATTRIB_COND_ID` db level: name of the condition's id attribute
`static java.lang.String` | `ATTRIB_COND_OBJ1` db level: name of the attribute for first argument
`static java.lang.String` | `ATTRIB_COND_OBJ2` db level: name of the attribute for second argument
`static java.lang.String` | `ATTRIB_COND_TYPE` db level: name of the attribute specifying the condition type
`static java.lang.String` | `ATTRIB_OPERATOR_ID` db level: name of the operator id attribute
`static java.lang.String` | `M4_TABLE_NAME` The name of the corresponding M4 table.

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`myDocumentation`

Fields inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`myId, myName`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`M4_XML_VERSION, TAG_COLLECTION, TAG_DOUBLE, TAG_INTEGER, TAG_LONG, TAG_M4_ID, TAG_SHORT, TAG_STRING, TAG_XML_ID`

Fields inherited from interface edu.udo.cs.miningmart.m4.utils.M4Table
`NOT_NULL`

Constructor Summary
`Condition(DB db)`

Method Summary
`void` | `check(ExecutableOperator op)` Checks the `Condition` for the specified `ExceutableOperator`.
`static java.util.Collection` | `getColumnsForBa(BaseAttribute ba)`
`static java.util.Collection` | `getColumnsForConcept(Concept con)`
`static java.util.Collection` | `getColumnsForFeature(Feature feature)`
`static java.util.Collection` | `getColumnsForParameter(ParameterObject[] parArray)`
`java.lang.String` | `getIdAttributeName()`
`M4Info` | `getM4Info()`
`java.lang.String` | `getM4TableName()`
`java.lang.String` | `getObj1()` Gets the myObj1.
`java.lang.String` | `getObj2()` Gets the myObj2.
`protected java.util.Collection` | `getObjectsInNamespace(java.lang.Class typeOfObjects)` This method returns the objects of the specified type that form a namespace in the scope of this M4Data object.
`Operator` | `getTheOperator()` Gets the Operator
`java.lang.String` | `getType()` Gets the myType.
`M4Info` | `getXmlInfo()`
`void` | `primitiveSetOperator(Operator operator)` Primitive setter method.
`void` | `print()` Print this M4 object's parameters.
`protected void` | `removeAllM4References()` This method needs to be implemented by all `M4Data` objects.
`void` | `setObj1(java.lang.String myObj1)` Sets the myObj1.
`void` | `setObj2(java.lang.String myObj2)` Sets the myObj2.
`void` | `setTheOperator(Operator operator)` Sets the Operator.
`void` | `setType(java.lang.String myType)` Sets the myType.

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Data
`deleteLocal, deleteSoon, exportLocal, genericGetter, genericSetter, getDependentObjects, getDocumentation, getObjectsReferencingMe, getObjectsReferencingMe, getObjectTag, getUniqueName, getValidName, getValidName, getXmlIdTag, getXmlVersion, hasDeleteStatus, importLocal, isDirty, isWaitingForDelete, primitiveGetDocObject, primitiveSetDocObject, readFromDb, readFromDbLocal, removeDocObject, removeFromDb, removeSetFromDb, setDirty, setDocumentation, setId, setName, storeLocal, updateObjectsFromTable`

Methods inherited from class edu.udo.cs.miningmart.m4.core.M4Object
`compareTo, doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setNotNew`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.udo.cs.miningmart.m4.utils.XmlInfo
`doPrint, doPrint, exportLocal, genericGetter, genericSetter, getDependentObjects, getObjectTag, getXmlIdTag, getXmlVersion, importLocal`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, putM4ObjectToCache, replaceSpacesInName, setId, setName, setNotNew`

Field Detail

### M4_TABLE_NAME

    public static final java.lang.String M4_TABLE_NAME

  The name of the corresponding M4 table.

  See Also:
    Constant Field Values

### ATTRIB_COND_ID

    public static final java.lang.String ATTRIB_COND_ID

  db level: name of the condition's id attribute

  See Also:
    Constant Field Values

### ATTRIB_OPERATOR_ID

    public static final java.lang.String ATTRIB_OPERATOR_ID

  db level: name of the operator id attribute

  See Also:
    Constant Field Values

### ATTRIB_COND_TYPE

    public static final java.lang.String ATTRIB_COND_TYPE

  db level: name of the attribute specifying the condition type

  See Also:
    Constant Field Values

### ATTRIB_COND_OBJ1

    public static final java.lang.String ATTRIB_COND_OBJ1

  db level: name of the attribute for first argument

  See Also:
    Constant Field Values

### ATTRIB_COND_OBJ2

    public static final java.lang.String ATTRIB_COND_OBJ2

  db level: name of the attribute for second argument

  See Also:
    Constant Field Values

Constructor Detail

### Condition

    public Condition(DB db)

See Also:
  `edu.udo.cs.miningmart.m4.core.M4Data#Constructor`

Method Detail

### getM4TableName

    public java.lang.String getM4TableName()

  Specified by:
    `getM4TableName` in interface `M4Table`
  See Also:
    `M4Table.getM4TableName()`

### getIdAttributeName

    public java.lang.String getIdAttributeName()

  Specified by:
    `getIdAttributeName` in interface `M4Table`
  See Also:
    `M4Table.getIdAttributeName()`

### getM4Info

    public M4Info getM4Info()

  Specified by:
    `getM4Info` in interface `M4Table`
  See Also:
    `M4Table.getM4Info()`

### getXmlInfo

    public M4Info getXmlInfo()

  Specified by:
    `getXmlInfo` in interface `XmlInfo`
  Returns:
    a `M4Info` object with the information of all XML fields of `this` object.
  See Also:
    `M4Table.getM4Info()`

### print

    public void print()

  Description copied from class: `M4Object`
  Print this M4 object's parameters. Must be implemented by all subclasses.

  Specified by:
    `print` in interface `M4Object`
  Specified by:
    `print` in class `M4Object`
  See Also:
    `M4Object.print()`

### getObjectsInNamespace

    protected java.util.Collection getObjectsInNamespace(java.lang.Class typeOfObjects)
                                                  throws M4Exception

  Description copied from class: `M4Data`
  This method returns the objects of the specified type that form a namespace in the scope of this M4Data object. For example, a Concept's namespace for the type BaseAttribute is the Collection of all BaseAttributes for this Concept. Many M4Data objects never have a namespace, they return `null`. If a namespace could exist but doesn't, an empty Collection is returned.

  Specified by:
    `getObjectsInNamespace` in class `M4Data`
  Parameters:
    `typeOfObjects` - the type of objects that form the namespace
  Returns:
    a Collection of objects of type `typeOfObjects`, or `null`.
  Throws:
    `M4Exception`
  See Also:
    `M4Data.getObjectsInNamespace(Class)`

### getObj1

    public java.lang.String getObj1()

  Gets the myObj1.

  Specified by:
    `getObj1` in interface `Condition`
  Returns:
    Returns a String

### getObj2

    public java.lang.String getObj2()

  Gets the myObj2.

  Specified by:
    `getObj2` in interface `Condition`
  Returns:
    Returns a String

### getTheOperator

    public Operator getTheOperator()

  Gets the Operator

  Specified by:
    `getTheOperator` in interface `Condition`
  Returns:
    Returns an `Operator`

### getType

    public java.lang.String getType()

  Gets the myType.

  Specified by:
    `getType` in interface `Condition`
  Returns:
    Returns a String

### setObj1

    public void setObj1(java.lang.String myObj1)

  Sets the myObj1.

  Specified by:
    `setObj1` in interface `Condition`
  Parameters:
    `myObj1` - The myObj1 to set

### setObj2

    public void setObj2(java.lang.String myObj2)

  Sets the myObj2.

  Specified by:
    `setObj2` in interface `Condition`
  Parameters:
    `myObj2` - The myObj2 to set

### setTheOperator

    public void setTheOperator(Operator operator)
                        throws M4Exception

  Sets the Operator.

  Specified by:
    `setTheOperator` in interface `Condition`
  Parameters:
    `operator` - The `Operator` to set
  Throws:
    `M4Exception`

### primitiveSetOperator

    public void primitiveSetOperator(Operator operator)

  Primitive setter method. Do not use it!

### setType

    public void setType(java.lang.String myType)

  Sets the myType.

  Specified by:
    `setType` in interface `Condition`
  Parameters:
    `myType` - The myType to set

### removeAllM4References

    protected void removeAllM4References()
                                  throws M4Exception

  Description copied from class: `M4Data`
  This method needs to be implemented by all `M4Data` objects. It has to remove all references to other `M4Object`s.

  Specified by:
    `removeAllM4References` in class `M4Data`
  Throws:
    `M4Exception`
  See Also:
    `M4Data.removeAllM4References()`

### check

    public void check(ExecutableOperator op)
               throws UserError,
                      M4CompilerError

  Description copied from interface: `Condition`
  Checks the `Condition` for the specified `ExceutableOperator`. Currently this method directly throws a `UserError` exception to be propagated to the GUI if the `Condition` is violated.

  Specified by:
    `check` in interface `Condition`
  Throws:
    `UserError`
    `M4CompilerError`

### getColumnsForParameter

    public static java.util.Collection getColumnsForParameter(ParameterObject[] parArray)
                                                       throws M4Exception

  Throws:
    `M4Exception`

### getColumnsForConcept

    public static java.util.Collection getColumnsForConcept(Concept con)
                                                     throws M4Exception

  Throws:
    `M4Exception`

### getColumnsForFeature

    public static java.util.Collection getColumnsForFeature(Feature feature)
                                                     throws M4Exception

  Throws:
    `M4Exception`

### getColumnsForBa

    public static java.util.Collection getColumnsForBa(BaseAttribute ba)
                                                throws M4Exception

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005